Gentoo Archives: gentoo-user

From: Joseph <syscon780@×××××.com>
To: gentoo-user@l.g.o
Subject: [gentoo-user] can not compile / emerge
Date: Tue, 09 Sep 2014 18:36:45
Message-Id: 20140909183638.GD23438@syscon7
1 I was installing an application gimp and all of a sudden I got an error:
2
3 >>> Emerging (7 of 8) media-gfx/gimp-2.8.10-r1
4 * gimp-2.8.10.tar.bz2 SHA256 SHA512 WHIRLPOOL size ;-) ... [
5 ok ]
6 * gimp-2.8.10-freetype251.patch SHA256 SHA512 WHIRLPOOL size ;-) ... [
7 ok ]
8 >>> cfg-update-1.8.2-r1: Creating checksum index...
9 >>> Unpacking source...
10 >>> Unpacking gimp-2.8.10.tar.bz2 to /var/tmp/portage/media-gfx/gimp-2.8.10-r1/work
11 >>> Unpacking gimp-2.8.10-freetype251.patch to /var/tmp/portage/media-gfx/gimp-2.8.10-r1/work
12 unpack gimp-2.8.10-freetype251.patch: file format not recognized. Ignoring.
13 >>> Source unpacked in /var/tmp/portage/media-gfx/gimp-2.8.10-r1/work
14 >>> Preparing source in /var/tmp/portage/media-gfx/gimp-2.8.10-r1/work/gimp-2.8.10 ...
15 * Applying gimp-2.7.4-no-deprecation.patch ... [
16 ok ]
17 * Applying gimp-2.8.10-freetype251.patch ... [
18 ok ]
19 * Applying gimp-2.8.10-clang.patch ... [
20 ok ]
21 * Running eautoreconf in '/var/tmp/portage/media-gfx/gimp-2.8.10-r1/work/gimp-2.8.10' ...
22 * Running glib-gettextize --copy --force ... [
23 ok ]
24 * Running intltoolize --automake --copy --force ... [
25 ok ]
26 * Skipping 'gtkdocize --copy' due gtkdocize not installed
27 * Running libtoolize --install --copy --force --automake ... [
28 ok ]
29 * Running aclocal -I m4macros ... [
30 ok ]
31 * Running autoconf ... [
32 ok ]
33 * Running autoheader ... [
34 ok ]
35 * Running automake --add-missing --copy --force-missing ... [
36 ok ]
37 * Running elibtoolize in: gimp-2.8.10/
38 * Applying portage/1.2.0 patch ...
39 * Applying sed/1.5.6 patch ...
40 * Applying as-needed/2.4.2 patch ...
41 * Applying target-nm/2.4.2 patch ...
42 * Fixing OMF Makefiles ... [
43 ok ]
44 * Disabling deprecation warnings ... [
45 ok ]
46 >>> Source prepared.
47 >>> Configuring source in /var/tmp/portage/media-gfx/gimp-2.8.10-r1/work/gimp-2.8.10 ...
48 * econf: updating gimp-2.8.10/config.sub with /usr/share/gnuconfig/config.sub
49 * econf: updating gimp-2.8.10/config.guess with /usr/share/gnuconfig/config.guess
50 ./configure --prefix=/usr --build=x86_64-pc-linux-gnu --host=x86_64-pc-linux-gnu --mandir=/usr/share/man --infodir=/usr/share/info --datadir=/usr/share
51 --sysconfdir=/etc --localstatedir=/var/lib --libdir=/usr/lib64 --disable-silent-rules --disable-dependency-tracking --docdir=/usr/share/doc/gimp-2.8.10-r1
52 --disable-maintainer-mode --disable-gtk-doc --enable-default-binary --disable-silent-rules --with-x --without-aa --with-alsa --disable-altivec --with-bzip2
53 --without-libcurl --with-dbus --without-gvfs --without-webkit --with-libjpeg --without-libjasper --with-libexif --with-lcms=lcms2 --without-gs --enable-mmx
54 --with-libmng --with-poppler --with-libpng --disable-python --disable-mp --enable-sse --with-librsvg --with-libtiff --with-gudev --without-wmf --with-xmc
55 --without-libxpm --without-xvfb-run
56 checking for a BSD-compatible install... /usr/bin/install -c
57 checking whether build environment is sane... yes
58 checking for a thread-safe mkdir -p... /bin/mkdir -p
59 checking for gawk... gawk
60 checking whether make sets $(MAKE)... yes
61 checking whether make supports nested variables... yes
62 checking whether make supports nested variables... (cached) yes
63 checking for x86_64-pc-linux-gnu-gcc... x86_64-pc-linux-gnu-gcc
64 checking whether the C compiler works... no
65 configure: error: in `/var/tmp/portage/media-gfx/gimp-2.8.10-r1/work/gimp-2.8.10':
66 configure: error: C compiler cannot create executables
67 See `config.log' for more details
68
69
70 Now, emerge / equery will not even show up on a command line.
71 Most of the time I'm getting an error:
72 error while loading shared libraries: libstdc++.so.6: cannot open shared object file: No such file or directory
73
74 Running on my other system I get:
75 equery b libstdc++.so.6
76 * Searching for libstdc++.so.6 ...
77 sys-devel/gcc-4.5.4 (/usr/lib/gcc/x86_64-pc-linux-gnu/4.5.4/libstdc++.so.6 -> libstdc++.so.6.0.14)
78
79 env-update - doesn't work either
80
81 --
82 Joseph

Replies

Subject Author
Re: [gentoo-user] can not compile / emerge Joseph <syscon780@×××××.com>
Re: [gentoo-user] can not compile / emerge Todd Goodman <tsg@×××××××××.net>
Re: [gentoo-user] can not compile / emerge Dale <rdalek1967@×××××.com>
Re: [gentoo-user] can not compile / emerge Kerin Millar <kerframil@×××××××××××.uk>